{
"name": "propertyName",
"label": "Property Label",
"description": "Describes this property",
"objectType": "CONTACT",
"createTime": "2024-08-22T00:00:00.000Z",
"properties": [
{
"name": "propertyName",
"label": "Property Label",
"description": "Describes this property",
"createTime": "2024-08-22T00:00:00.000Z",
"type": "STRING"
}
]
}Custom Events
Create an event definition
Creates a custom event definition.
POST
https://api.ycloud.com/v2
/
event
/
definitions
{
"name": "propertyName",
"label": "Property Label",
"description": "Describes this property",
"objectType": "CONTACT",
"createTime": "2024-08-22T00:00:00.000Z",
"properties": [
{
"name": "propertyName",
"label": "Property Label",
"description": "Describes this property",
"createTime": "2024-08-22T00:00:00.000Z",
"type": "STRING"
}
]
}Body
application/json
Contains the properties of the custom event definition to be created.
Response
200 - application/json
Successfully created an event definition.
Represents a custom event definition.
The time at which this object is created, formatted in RFC 3339. e.g., 2022-06-01T12:00:00.000Z.
Example:
"2024-08-22T00:00:00.000Z"

